Get all Views
Retrieve all views that have been created by the authenticated user.
curl -X GET "https://api.datafiniti.co/v4/views" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.datafiniti.co/v4/views"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.datafiniti.co/v4/views", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.datafiniti.co/v4/views", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.datafiniti.co/v4/views')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
[
{
"name": "John Doe",
"fields": [
"example_string"
],
"created_at": "2024-12-25T10:00:00Z"
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
GET
/views
GET
Bearer Token
Bearer Tokenstring
RequiredBearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Responses
namestring
View name
fieldsstring[]
Fields included in this view
created_atstring
Timestamp when the view was created
errorstring
Error message describing what went wrong
This allows you to retrieve all of the views you've created.
Was this page helpful?
Last updated Mar 26, 2026
Built with Documentation.AI